### Method

# Qrtr Node get_service_info_list

since: 1.0

#### Declaration [src]

    GList*
    qrtr_node_get_service_info_list (
      QrtrNode* self
    )

#### Description [src]

Get the list of services currently supported by the `QrtrNode`.

Available since: 1.0

#### Return value

Type: A list of `None`

A `GList` of `QrtrNodeServiceInfo` elements, that must be freed with `g_list_free_full()` using `qrtr_node_service_info_free()` as `GDestroyNotify`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.